# $Revision: 1.7 $, $Date: 2004/03/30 20:10:38 $
Summary:	GIMP normalmap plugin
Summary(pl):	Mapa normalnych w GIMP-ie - wtyczka
Name:		gimp-normalmap
Version:	1.0
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://nifelheim.dyndns.org/~cocidius/files/%{name}-%{version}.tar.bz2
# Source0-md5:	ff246941601cb4c3ad4fa57376b0cd63
URL:		http://nifelheim.dyndns.org/~cocidius/normalmap/
BuildRequires:	gimp-devel >= 1:2.0.0
BuildRequires:	gtkglext >= 0.7.1
BuildRequires:	pkgconfig >= 0.14
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%(gimptool --gimpplugindir)/plug-ins

%description
This is a plugin for GIMP versions 2.0.x. It allows you to
convert images into RGB normal maps for use in per-pixel lighting
applications. The goal is to completely clone NVIDIA's Photoshop
plugin, with a few new useful features.

Features:
- Filters. These include the filters found in the NVIDIA plugin (4
  sample, 3x3, 5x5, 7x7 and 9x9) with the addition of a 3x3 Sobel and
  Prewitt edge detection filter (yields the best results IMO).
- Post-filtering normal scaling
- Wrap mode. This allows the filters to wrap around the image. Useful
  for creating normalmaps from a tiling bumpmap.
- Height source. Use an average of the RGB components or the alpha
  channel as the height source in the generation of the normals.
- Alpha result. For RGBA images, the alpha channel can either remain
  unchanged, have the height used to generate the normal written to it,
  or be replaced by either 0 or 1.
- Conversion options including "Normalize only" for renormalizing
  bumpmaps.
- DU/DV map creation (8 and 16 bit, signed or unsigned)
- Dynamic 2D preview in the interactive dialog.
- Dynamic 3D preview window unsing OpenGL to view the normalmap
  applied to a lit primitive

%description -l pl
To jest wtyczka dla GIMP-a w wersji 2.0.x. Pozwala na
konwersj obrazkw na mapy RGB normalnych do uywania w aplikacjach
obliczajcych owietlenie na poziomie pikseli. Celem jest cakowite
sklonowanie wtyczki NVIDII do Photoshopa, z dodatkowymi przydatnymi
cechami.

Moliwoci:
- Filtry: obejmuj filtry wystpujce we wtyczce NVIDII (4
  przykadowe: 3x3, 5x5, 7x7, 9x9) oraz dodatkowo filtr 3x3 Sobela i
  Prewitta z wykrywaniem krawdzi (daje najlepsze wyniki).
- Skalowanie normalnych w post-processingu.
- Tryb zawijania - pozwala filtrom na zawijanie wok obrazu.
  Przydatne do tworzenia mapy normalnych z kaflowych map wysokoci.
- rdo wysokoci. Uycie rednich skadowych RGB lub kanau alpha
  jako rda wysokoci przy generowaniu normalnych.
- Wynik alpha. Dla obrazkw RGBA kana alpha moe pozosta
  niezmieniony, by wykorzystany jako wysoko przy generowaniu
  normalnych albo by zastpiony przez 0 lub 1.
- Opcje konwersji wcznie z sam normalizacj do renormalizacji map
  wysokoci.
- Tworzenie map DU/DV (8 i 16-bitowych, ze znakiem lub bez)
- Dynamiczny podgld 2D w interaktywnym oknie dialogowym.
- Dynamiczny podgld 3D w oddzielnym oknie z wykorzystaniem OpenGL do
  ogldania mapy normalnych naoonej na bry.

%prep
%setup -q -n normalmap

%build
%{__make} \
	CFLAGS="%{rpmcflags} `gimptool --cflags` `pkg-config --cflags gtkglext-1.0` -DGETTEXT_PACKAGE" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_plugindir}

install normalmap	$RPM_BUILD_ROOT%{_plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_plugindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gimp-normalmap.spec,v $
Revision 1.7  2004/03/30 20:10:38  wolf
- 1.0

Revision 1.6  2004/03/19 16:46:14  grzegol
- added epoch to gimp requires

Revision 1.5  2003/08/01 21:15:51  qboosh
- use default gimptool

Revision 1.4  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:47:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/21 01:15:56  qboosh
- pl description

Revision 1.1  2003/04/20 12:42:51  wolf
- all but 3d preview works
